using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class WebAppRole : BaseEntity
    {
        public int WebAppRoleId { get; set; }
        public string WebAppRoleName { get; set; }
        public int WebAppRoleHierarchy { get; set; }

        //generic Id
        public override int GetEntityId() => WebAppRoleId;

        //generic ToString()
        public override string ToString() => $"WebAppRoleId: {GetEntityId()}; WebAppRoleName: {WebAppRoleName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}